Bug 90132 - Add support for Intel ICH4-M IDE interface
Add support for Intel ICH4-M IDE interface
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2003-05-02 23:42 EDT by Artem Veremey
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version: 2.4.20-13.9
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-05-20 15:22:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Artem Veremey 2003-05-02 23:42:08 EDT
Description of problem:
With RedHat kernel (2.4.20-9) setting DMA (hdparm -d1) fails for the IDE disk
on ICH4-M interface (IBM ThinkPad X31 in my case)
lspci identifies IDE interface as:
00:1f.1 IDE Interface: Intel Corp.: Unknown device 24ca (rev 01)
Support for Intel ICH4-M already exist in the latest test kernel
(2.4.21-rc1). After building latest test kernel DMA mode is successfully set
on the IDE disk.
Comment 1 Arjan van de Ven 2003-05-03 04:29:19 EDT
contains a 2.4.20-9.5 kernel which should have this fixed already
(it's a test kernel for a future erratum)
Comment 2 Bill Nottingham 2003-05-20 15:22:12 EDT
This is in the 2.4.20-13.9 kernel.

Note You need to log in before you can comment on or make changes to this bug.